Skip to main content
GET
/
users
/
{user_id}
/
timecards
Get User Timecards
curl --request GET \
  --url https://api.everhour.com/users/{user_id}/timecards \
  --header 'X-Api-Key: <api-key>'
[
  {
    "user": 69,
    "workTime": 28800,
    "clockIn": "09:00",
    "clockOut": "18:00",
    "breakTime": 3600,
    "history": [
      {
        "action": "clock-in",
        "previousTime": "08:00",
        "time": "09:00",
        "trigger": "manually"
      }
    ]
  }
]

Authorizations

X-Api-Key
string
header
required

Path Parameters

user_id
number
required

User ID

Example:

89

Query Parameters

from
string

Date from (2 weeks ago by default)

Example:

"2020-10-01"

to
string

Date to

Example:

"2020-11-01"

Response

OK

user
number
required

User ID

Example:

69

workTime
number
required

Working time in seconds

Example:

28800

clockIn
string

Clock-in time in user timezone

Example:

"09:00"

clockOut
string

Clock-out time in user timezone

Example:

"18:00"

breakTime
number

Breaks duration in seconds

Example:

3600

history
object[]